﻿main {
    display: block;
    min-height: 60vh;
    box-shadow: 0 0 0 rgba(51,156,208,0);
    margin-bottom: 3rem;
}

article {
    width: 95%;
    max-width: 900px;
    padding: 2rem 3rem 3rem 3rem;
    background: #FFF;
    border-radius: 1rem;
    overflow: hidden;
}

.form-check {
    display: flex !important;
    align-items: center;
    gap: 4px;
    text-wrap: pretty;
    margin-left: 10px;
    padding: 0;
    z-index: 10 !important;
}

.form-check-input {
    appearance: auto !important;
    -webkit-appearance: checkbox !important;
    width: 0.6rem;
    height: 0.6rem;
    margin: 0 6px 0 0 !important;
    position: relative !important;
    pointer-events: auto !important;
}

.form-check-label {
    width: fit-content !important;
    font-size: 0.8rem;
    font-weight: 700;
    padding: 0 !important;
    pointer-events: auto !important;
    text-align: left;
}

#form-title {
    line-height: 1.4em;
    font-size: 1.2rem !important;
    padding-bottom: 1.8em;
}

#red-title {
    font-size: 0.8rem;
    color: #B83927;
    padding-bottom: 2rem;
}

.form-body {
    margin: 0 auto;
    max-width: 570px;
    border-radius: 10px;
    padding-bottom: 2rem;
}
.autoComplete_wrapper {
    width: 100% !important;
    max-width: 100% !important;
}
    .autoComplete_wrapper input {
        width: 100% !important;
        max-width: 100% !important;
        color: black !important;
        background-image: none !important;
    }

/* Form with readonly input */
.form {
    display: block;
    margin: 0 auto;
    width: 90%;
    max-width: 480px;
    padding: 0 0 1.6rem;
}
.input-readonly{
    font-size: 1.2rem;
    font-weight: 500;
    padding: 0 0.25rem 0.5rem;
    color: #808080;
    border: none;
    border-radius: 0;
    border-bottom: 1px solid #ccc;
}

.form-control {
    text-align: left;
    padding: 10px;
}

    .form-control:placeholder-shown {
        text-align: left;
        font-size: large;
        opacity: 80%;
    }

input[type=checkbox] {
    transform: scale(1.5);
}

.check-pass-strength {
    width: 100% !important;
}

.trial-card {
    background-color: #fff;
    border: 2px solid #e2d4a2;
    border-radius: 14px;
    padding: 30px 35px;
    margin-bottom: 3rem;
}

.title-wrapper {
    position: relative;
    padding: 20px 20px;
    min-height: 80px;
}

.cert-logo {
    position: absolute;
    left: 0;
    top: 50%;
    width: 80px;
    transform: translateY(-50%);
}

.trial-title {
    font-weight: bold;
    color: #009fe8;
    line-height: 1.4;
}

.info p {
    padding: 0 0 1.6rem;
    color: #808080;
    font-size: 1rem !important;
    line-height: 2em;
    text-align: left;
}
.info p em {
    font-style: normal;
    font-weight: 700;
    color: #b5a86f; 
}

.info p.date {
    text-align: center;
}

.info-row {
    display: flex;
    padding: 8px 0;
    border-top: 1px dotted #778873;
    font-size: 1.1rem;
    text-align: start;
}

    .info-row:first-of-type {
        margin-top: 10px;
    }

.info-label {
    width: 12rem;
    padding: 4px;
    font-weight: 600;
}

.info-value {
    padding: 4px;
}

    .info-value ul {
        list-style: none;
        padding-left: 0.5rem;
        margin: 0 auto;
    }

    .info-value li {
        width: 100%;
        position: relative;
        padding: 0 1.2rem 0.3rem 1.2rem;
    }
        .info-value li::before {
            content: "-";
            position: absolute;
            left: 0; 
            top: 0;
            color: #333; 
            font-weight: bold; 
        }

.note-text {
    text-align: left;
    font-size: 0.9rem;
    color: #999;
    line-height: 1.5rem;
    padding-bottom: 1.5rem;
}

a.link-blue {
    color: #0056c0;
    text-decoration: none;
}

    a.link-blue:hover {
        text-decoration: underline;
    }

@keyframes spinner-v8og74 {
    100% {
        transform: rotate(1turn);
    }
}

@media (width < 750px) {
    /*SignUpComplete Page*/
    .title-wrapper {
        padding-top: 100px;
    }

    .cert-logo {
        left: 50%;
        top: 0;
        transform: translate(-50%, 0);
    }

    .trial-title {
        text-align: center;
    }
}

@media (width < 600px) {
    main {
        padding: 0 !important;
    }
    article {
        width: 95%;
        padding: 1.2rem 1rem 1rem 1rem;
    }
    #form-title {
        padding-bottom: 2rem;
    }
    .form-body {
        padding-bottom: 1rem;
    }

    .trial-card {
        padding: 30px 15px;
    }

    .info-label {
        max-width: 130px;
    }

    .info-row, .trial-subtitle, .note-text {
        font-size: 0.9rem !important;
    }
}